from decimal import Decimal
from kunits.types import Dimension, Unit

count = Unit(id='count',
             name='count',
             name_plural='count',
             abbrev='ct',
             multiple=Decimal('1'),
             dimension=Dimension.count)
dozen = Unit(id='dozen',
             name='dozen',
             name_plural='dozen',
             abbrev='doz',
             multiple=Decimal('12'),
             dimension=Dimension.count)
attometer = Unit(id='attometer',
                 name='attometer',
                 name_plural='attometers',
                 abbrev='am',
                 multiple=Decimal('1E-18'),
                 dimension=Dimension.length)
cable_us = Unit(id='cable_us',
                name='cable',
                name_plural='cables',
                abbrev='cb',
                multiple=Decimal('219.4560'),
                dimension=Dimension.length)
centimeter = Unit(id='centimeter',
                  name='centimeter',
                  name_plural='centimeters',
                  abbrev='cm',
                  multiple=Decimal('0.01'),
                  dimension=Dimension.length)
chain_us = Unit(id='chain_us',
                name='chain',
                name_plural='chains',
                abbrev='ch',
                multiple=Decimal('20.11684023368046736093472187'),
                dimension=Dimension.length)
decameter = Unit(id='decameter',
                 name='decameter',
                 name_plural='decameters',
                 abbrev='dam',
                 multiple=Decimal('1E+1'),
                 dimension=Dimension.length)
decimeter = Unit(id='decimeter',
                 name='decimeter',
                 name_plural='decimeters',
                 abbrev='dm',
                 multiple=Decimal('0.1'),
                 dimension=Dimension.length)
exameter = Unit(id='exameter',
                name='exameter',
                name_plural='exameters',
                abbrev='Em',
                multiple=Decimal('1E+18'),
                dimension=Dimension.length)
fathom_us = Unit(id='fathom_us',
                 name='fathom',
                 name_plural='fathoms',
                 abbrev='ftm',
                 multiple=Decimal('1.8288'),
                 dimension=Dimension.length)
femtometer = Unit(id='femtometer',
                  name='femtometer',
                  name_plural='femtometers',
                  abbrev='fm',
                  multiple=Decimal('1E-15'),
                  dimension=Dimension.length)
foot_us = Unit(id='foot_us',
               name='foot',
               name_plural='feet',
               abbrev='ft',
               multiple=Decimal('0.3048'),
               dimension=Dimension.length)
furlong_us = Unit(id='furlong_us',
                  name='furlong',
                  name_plural='furlongs',
                  abbrev='fur',
                  multiple=Decimal('201.1684023368046736093472187'),
                  dimension=Dimension.length)
gigameter = Unit(id='gigameter',
                 name='gigameter',
                 name_plural='gigameters',
                 abbrev='Gm',
                 multiple=Decimal('1E+9'),
                 dimension=Dimension.length)
hectometer = Unit(id='hectometer',
                  name='hectometer',
                  name_plural='hectometers',
                  abbrev='hm',
                  multiple=Decimal('1E+2'),
                  dimension=Dimension.length)
inch_us = Unit(id='inch_us',
               name='inch',
               name_plural='inches',
               abbrev='in',
               multiple=Decimal('0.0254'),
               dimension=Dimension.length)
kilometer = Unit(id='kilometer',
                 name='kilometer',
                 name_plural='kilometers',
                 abbrev='km',
                 multiple=Decimal('1E+3'),
                 dimension=Dimension.length)
league_us = Unit(id='league_us',
                 name='league',
                 name_plural='leagues',
                 abbrev='lea',
                 multiple=Decimal('4828.041656083312166624333249'),
                 dimension=Dimension.length)
link_us = Unit(id='link_us',
               name='link',
               name_plural='links',
               abbrev='li',
               multiple=Decimal('0.2011684023368046736093472187'),
               dimension=Dimension.length)
megameter = Unit(id='megameter',
                 name='megameter',
                 name_plural='megameters',
                 abbrev='Mm',
                 multiple=Decimal('1E+6'),
                 dimension=Dimension.length)
meter = Unit(id='meter',
             name='meter',
             name_plural='meters',
             abbrev='m',
             multiple=Decimal('1'),
             dimension=Dimension.length)
micrometer = Unit(id='micrometer',
                  name='micrometer',
                  name_plural='micrometers',
                  abbrev='μm',
                  multiple=Decimal('0.000001'),
                  dimension=Dimension.length)
mile_us = Unit(id='mile_us',
               name='mile',
               name_plural='miles',
               abbrev='mi',
               multiple=Decimal('1609.3440'),
               dimension=Dimension.length)
millimeter = Unit(id='millimeter',
                  name='millimeter',
                  name_plural='millimeters',
                  abbrev='mm',
                  multiple=Decimal('0.001'),
                  dimension=Dimension.length)
nanometer = Unit(id='nanometer',
                 name='nanometer',
                 name_plural='nanometers',
                 abbrev='nm',
                 multiple=Decimal('1E-9'),
                 dimension=Dimension.length)
nautical_mile_us = Unit(id='nautical_mile_us',
                        name='nautical mile',
                        name_plural='nautical miles',
                        abbrev='nmi',
                        multiple=Decimal('1851.9891840'),
                        dimension=Dimension.length)
petameter = Unit(id='petameter',
                 name='petameter',
                 name_plural='petameters',
                 abbrev='Pm',
                 multiple=Decimal('1E+15'),
                 dimension=Dimension.length)
pica_us = Unit(id='pica_us',
               name='pica',
               name_plural='picas',
               abbrev='P/',
               multiple=Decimal('0.004233333333333333333333333334'),
               dimension=Dimension.length)
picometer = Unit(id='picometer',
                 name='picometer',
                 name_plural='picometers',
                 abbrev='pm',
                 multiple=Decimal('1E-12'),
                 dimension=Dimension.length)
point_us = Unit(id='point_us',
                name='point',
                name_plural='points',
                abbrev='p',
                multiple=Decimal('0.0003527777777777777777777777778'),
                dimension=Dimension.length)
rod_us = Unit(id='rod_us',
              name='rod',
              name_plural='rods',
              abbrev='rd',
              multiple=Decimal('5.029210058420116840233680467'),
              dimension=Dimension.length)
survey_foot_us = Unit(id='survey_foot_us',
                      name='survey foot',
                      name_plural='survey feet',
                      abbrev='ft',
                      multiple=Decimal('0.3048006096012192024384048768'),
                      dimension=Dimension.length)
survey_mile_us = Unit(id='survey_mile_us',
                      name='survey mile',
                      name_plural='survey miles',
                      abbrev='mi',
                      multiple=Decimal('1609.347218694437388874777750'),
                      dimension=Dimension.length)
terameter = Unit(id='terameter',
                 name='terameter',
                 name_plural='terameters',
                 abbrev='Tm',
                 multiple=Decimal('1E+12'),
                 dimension=Dimension.length)
yard_us = Unit(id='yard_us',
               name='yard',
               name_plural='yards',
               abbrev='yd',
               multiple=Decimal('0.9144'),
               dimension=Dimension.length)
yoctometer = Unit(id='yoctometer',
                  name='yoctometer',
                  name_plural='yoctometers',
                  abbrev='ym',
                  multiple=Decimal('1E-24'),
                  dimension=Dimension.length)
yottameter = Unit(id='yottameter',
                  name='yottameter',
                  name_plural='yottameters',
                  abbrev='Ym',
                  multiple=Decimal('1E+24'),
                  dimension=Dimension.length)
zeptometer = Unit(id='zeptometer',
                  name='zeptometer',
                  name_plural='zeptometers',
                  abbrev='zm',
                  multiple=Decimal('1E-21'),
                  dimension=Dimension.length)
zettameter = Unit(id='zettameter',
                  name='zettameter',
                  name_plural='zettameters',
                  abbrev='Zm',
                  multiple=Decimal('1E+21'),
                  dimension=Dimension.length)
attogram = Unit(id='attogram',
                name='attogram',
                name_plural='attograms',
                abbrev='ag',
                multiple=Decimal('1E-18'),
                dimension=Dimension.mass)
centigram = Unit(id='centigram',
                 name='centigram',
                 name_plural='centigrams',
                 abbrev='cg',
                 multiple=Decimal('0.01'),
                 dimension=Dimension.mass)
decagram = Unit(id='decagram',
                name='decagram',
                name_plural='decagrams',
                abbrev='dag',
                multiple=Decimal('1E+1'),
                dimension=Dimension.mass)
decigram = Unit(id='decigram',
                name='decigram',
                name_plural='decigrams',
                abbrev='dg',
                multiple=Decimal('0.1'),
                dimension=Dimension.mass)
dram_us = Unit(id='dram_us',
               name='dram',
               name_plural='drams',
               abbrev='dr',
               multiple=Decimal('3.543690390625'),
               dimension=Dimension.mass)
exagram = Unit(id='exagram',
               name='exagram',
               name_plural='exagrams',
               abbrev='Eg',
               multiple=Decimal('1E+18'),
               dimension=Dimension.mass)
femtogram = Unit(id='femtogram',
                 name='femtogram',
                 name_plural='femtograms',
                 abbrev='fg',
                 multiple=Decimal('1E-15'),
                 dimension=Dimension.mass)
gigagram = Unit(id='gigagram',
                name='gigagram',
                name_plural='gigagrams',
                abbrev='Gg',
                multiple=Decimal('1E+9'),
                dimension=Dimension.mass)
gram = Unit(id='gram',
            name='gram',
            name_plural='grams',
            abbrev='g',
            multiple=Decimal('1'),
            dimension=Dimension.mass)
hectogram = Unit(id='hectogram',
                 name='hectogram',
                 name_plural='hectograms',
                 abbrev='hg',
                 multiple=Decimal('1E+2'),
                 dimension=Dimension.mass)
kilogram = Unit(id='kilogram',
                name='kilogram',
                name_plural='kilograms',
                abbrev='kg',
                multiple=Decimal('1E+3'),
                dimension=Dimension.mass)
megagram = Unit(id='megagram',
                name='megagram',
                name_plural='megagrams',
                abbrev='Mg',
                multiple=Decimal('1E+6'),
                dimension=Dimension.mass)
microgram = Unit(id='microgram',
                 name='microgram',
                 name_plural='micrograms',
                 abbrev='μg',
                 multiple=Decimal('0.000001'),
                 dimension=Dimension.mass)
milligram = Unit(id='milligram',
                 name='milligram',
                 name_plural='milligrams',
                 abbrev='mg',
                 multiple=Decimal('0.001'),
                 dimension=Dimension.mass)
nanogram = Unit(id='nanogram',
                name='nanogram',
                name_plural='nanograms',
                abbrev='ng',
                multiple=Decimal('1E-9'),
                dimension=Dimension.mass)
ounce_us = Unit(id='ounce_us',
                name='ounce',
                name_plural='ounces',
                abbrev='oz',
                multiple=Decimal('28.349523125'),
                dimension=Dimension.mass)
petagram = Unit(id='petagram',
                name='petagram',
                name_plural='petagrams',
                abbrev='Pg',
                multiple=Decimal('1E+15'),
                dimension=Dimension.mass)
picogram = Unit(id='picogram',
                name='picogram',
                name_plural='picograms',
                abbrev='pg',
                multiple=Decimal('1E-12'),
                dimension=Dimension.mass)
pound_us = Unit(id='pound_us',
                name='pound',
                name_plural='pounds',
                abbrev='lb',
                multiple=Decimal('453.59237'),
                dimension=Dimension.mass)
teragram = Unit(id='teragram',
                name='teragram',
                name_plural='teragrams',
                abbrev='Tg',
                multiple=Decimal('1E+12'),
                dimension=Dimension.mass)
yoctogram = Unit(id='yoctogram',
                 name='yoctogram',
                 name_plural='yoctograms',
                 abbrev='yg',
                 multiple=Decimal('1E-24'),
                 dimension=Dimension.mass)
yottagram = Unit(id='yottagram',
                 name='yottagram',
                 name_plural='yottagrams',
                 abbrev='Yg',
                 multiple=Decimal('1E+24'),
                 dimension=Dimension.mass)
zeptogram = Unit(id='zeptogram',
                 name='zeptogram',
                 name_plural='zeptograms',
                 abbrev='zg',
                 multiple=Decimal('1E-21'),
                 dimension=Dimension.mass)
zettagram = Unit(id='zettagram',
                 name='zettagram',
                 name_plural='zettagrams',
                 abbrev='Zg',
                 multiple=Decimal('1E+21'),
                 dimension=Dimension.mass)
day = Unit(id='day',
           name='day',
           name_plural='days',
           abbrev='day',
           multiple=Decimal('86400'),
           dimension=Dimension.time)
hour = Unit(id='hour',
            name='hour',
            name_plural='hours',
            abbrev='hr',
            multiple=Decimal('3600'),
            dimension=Dimension.time)
minute = Unit(id='minute',
              name='minute',
              name_plural='minutes',
              abbrev='min',
              multiple=Decimal('60'),
              dimension=Dimension.time)
second = Unit(id='second',
              name='second',
              name_plural='seconds',
              abbrev='sec',
              multiple=Decimal('1'),
              dimension=Dimension.time)
week = Unit(id='week',
            name='week',
            name_plural='weeks',
            abbrev='wk',
            multiple=Decimal('604800'),
            dimension=Dimension.time)
attoliter = Unit(id='attoliter',
                 name='attoliter',
                 name_plural='attoliters',
                 abbrev='al',
                 multiple=Decimal('1E-18'),
                 dimension=Dimension.volume)
barrel_us = Unit(id='barrel_us',
                 name='barrel',
                 name_plural='barrels',
                 abbrev='bbl',
                 multiple=Decimal('119.2404711960000000000'),
                 dimension=Dimension.volume)
centiliter = Unit(id='centiliter',
                  name='centiliter',
                  name_plural='centiliters',
                  abbrev='cl',
                  multiple=Decimal('0.01'),
                  dimension=Dimension.volume)
cup_us = Unit(id='cup_us',
              name='cup',
              name_plural='cups',
              abbrev='c',
              multiple=Decimal('0.236588236500000000'),
              dimension=Dimension.volume)
dash_us = Unit(id='dash_us',
               name='dash',
               name_plural='dashes',
               abbrev='ds',
               multiple=Decimal('0.000616115199218750'),
               dimension=Dimension.volume)
decaliter = Unit(id='decaliter',
                 name='decaliter',
                 name_plural='decaliters',
                 abbrev='dal',
                 multiple=Decimal('1E+1'),
                 dimension=Dimension.volume)
deciliter = Unit(id='deciliter',
                 name='deciliter',
                 name_plural='deciliters',
                 abbrev='dl',
                 multiple=Decimal('0.1'),
                 dimension=Dimension.volume)
drop_us = Unit(id='drop_us',
               name='drop',
               name_plural='drops',
               abbrev='dr',
               multiple=Decimal('0.00005134293326822916666666666666'),
               dimension=Dimension.volume)
exaliter = Unit(id='exaliter',
                name='exaliter',
                name_plural='exaliters',
                abbrev='El',
                multiple=Decimal('1E+18'),
                dimension=Dimension.volume)
femtoliter = Unit(id='femtoliter',
                  name='femtoliter',
                  name_plural='femtoliters',
                  abbrev='fl',
                  multiple=Decimal('1E-15'),
                  dimension=Dimension.volume)
fluid_dram_us = Unit(id='fluid_dram_us',
                     name='fluid dram',
                     name_plural='fluid drams',
                     abbrev='fl dr',
                     multiple=Decimal('0.003696691195312500'),
                     dimension=Dimension.volume)
fluid_ounce_us = Unit(id='fluid_ounce_us',
                      name='fluid ounce',
                      name_plural='fluid ounces',
                      abbrev='fl oz',
                      multiple=Decimal('0.029573529562500000'),
                      dimension=Dimension.volume)
gallon_us = Unit(id='gallon_us',
                 name='gallon',
                 name_plural='gallons',
                 abbrev='gal',
                 multiple=Decimal('3.785411784000000000'),
                 dimension=Dimension.volume)
gigaliter = Unit(id='gigaliter',
                 name='gigaliter',
                 name_plural='gigaliters',
                 abbrev='Gl',
                 multiple=Decimal('1E+9'),
                 dimension=Dimension.volume)
gill_us = Unit(id='gill_us',
               name='gill',
               name_plural='gills',
               abbrev='gil',
               multiple=Decimal('0.118294118250000000'),
               dimension=Dimension.volume)
hectoliter = Unit(id='hectoliter',
                  name='hectoliter',
                  name_plural='hectoliters',
                  abbrev='hl',
                  multiple=Decimal('1E+2'),
                  dimension=Dimension.volume)
kiloliter = Unit(id='kiloliter',
                 name='kiloliter',
                 name_plural='kiloliters',
                 abbrev='kl',
                 multiple=Decimal('1E+3'),
                 dimension=Dimension.volume)
liter = Unit(id='liter',
             name='liter',
             name_plural='liters',
             abbrev='l',
             multiple=Decimal('1'),
             dimension=Dimension.volume)
megaliter = Unit(id='megaliter',
                 name='megaliter',
                 name_plural='megaliters',
                 abbrev='Ml',
                 multiple=Decimal('1E+6'),
                 dimension=Dimension.volume)
microliter = Unit(id='microliter',
                  name='microliter',
                  name_plural='microliters',
                  abbrev='μl',
                  multiple=Decimal('0.000001'),
                  dimension=Dimension.volume)
milliliter = Unit(id='milliliter',
                  name='milliliter',
                  name_plural='milliliters',
                  abbrev='ml',
                  multiple=Decimal('0.001'),
                  dimension=Dimension.volume)
minim_us = Unit(id='minim_us',
                name='minim',
                name_plural='minims',
                abbrev='min',
                multiple=Decimal('0.000061611519921875'),
                dimension=Dimension.volume)
nanoliter = Unit(id='nanoliter',
                 name='nanoliter',
                 name_plural='nanoliters',
                 abbrev='nl',
                 multiple=Decimal('1E-9'),
                 dimension=Dimension.volume)
petaliter = Unit(id='petaliter',
                 name='petaliter',
                 name_plural='petaliters',
                 abbrev='Pl',
                 multiple=Decimal('1E+15'),
                 dimension=Dimension.volume)
picoliter = Unit(id='picoliter',
                 name='picoliter',
                 name_plural='picoliters',
                 abbrev='pl',
                 multiple=Decimal('1E-12'),
                 dimension=Dimension.volume)
pinch_us = Unit(id='pinch_us',
                name='pinch',
                name_plural='pinches',
                abbrev='pn',
                multiple=Decimal('0.000308057599609375'),
                dimension=Dimension.volume)
pint_us = Unit(id='pint_us',
               name='pint',
               name_plural='pints',
               abbrev='pt',
               multiple=Decimal('0.473176473000000000'),
               dimension=Dimension.volume)
quart_us = Unit(id='quart_us',
                name='quart',
                name_plural='quarts',
                abbrev='qt',
                multiple=Decimal('0.946352946000000000'),
                dimension=Dimension.volume)
shot_us = Unit(id='shot_us',
               name='shot',
               name_plural='shots',
               abbrev='jig',
               multiple=Decimal('0.0443602943437500000'),
               dimension=Dimension.volume)
tablespoon_us = Unit(id='tablespoon_us',
                     name='tablespoon',
                     name_plural='tablespoons',
                     abbrev='Tbsp',
                     multiple=Decimal('0.014786764781250000'),
                     dimension=Dimension.volume)
teaspoon_us = Unit(id='teaspoon_us',
                   name='teaspoon',
                   name_plural='teaspoons',
                   abbrev='tsp',
                   multiple=Decimal('0.004928921593750000'),
                   dimension=Dimension.volume)
teraliter = Unit(id='teraliter',
                 name='teraliter',
                 name_plural='teraliters',
                 abbrev='Tl',
                 multiple=Decimal('1E+12'),
                 dimension=Dimension.volume)
yoctoliter = Unit(id='yoctoliter',
                  name='yoctoliter',
                  name_plural='yoctoliters',
                  abbrev='yl',
                  multiple=Decimal('1E-24'),
                  dimension=Dimension.volume)
yottaliter = Unit(id='yottaliter',
                  name='yottaliter',
                  name_plural='yottaliters',
                  abbrev='Yl',
                  multiple=Decimal('1E+24'),
                  dimension=Dimension.volume)
zeptoliter = Unit(id='zeptoliter',
                  name='zeptoliter',
                  name_plural='zeptoliters',
                  abbrev='zl',
                  multiple=Decimal('1E-21'),
                  dimension=Dimension.volume)
zettaliter = Unit(id='zettaliter',
                  name='zettaliter',
                  name_plural='zettaliters',
                  abbrev='Zl',
                  multiple=Decimal('1E+21'),
                  dimension=Dimension.volume)
